> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all ofi-enabled payment routes

> Retrieve all ofi-enabled payment routes.



## OpenAPI

````yaml openapi/cpn-ofi.yaml get /v1/ofi/configurations/enabledRoutes
openapi: 3.0.3
info:
  description: CPN OFI REST API
  title: CPN OFI
  version: '1.0'
  license:
    name: Proprietary
    url: https://www.circle.com/legal
servers:
  - url: https://api.circle.com
security:
  - BearerAuth: []
tags:
  - name: Configurations
    description: Manage OFI configurations and settings
  - name: Quotes
    description: Handle quote-related operations
  - name: Payments
    description: Create and manage payment operations
  - name: Transactions
    description: Handle transaction-related operations
  - name: Requests for Information
    description: Manage Requests for Information (RFIs)
  - name: Support Tickets
    description: Manage support ticket operations
paths:
  /v1/ofi/configurations/enabledRoutes:
    get:
      tags:
        - Configurations
      summary: Retrieve all ofi-enabled payment routes
      description: Retrieve all ofi-enabled payment routes.
      operationId: listOfiEnabledRoutes
      parameters:
        - $ref: '#/components/parameters/SourceCurrencyOptionalParam'
        - $ref: '#/components/parameters/DestinationCurrencyParam'
        - $ref: '#/components/parameters/PaymentMethodTypeParam'
        - $ref: '#/components/parameters/DestinationCountryOptionalParam'
        - $ref: '#/components/parameters/BlockchainParam'
        - $ref: '#/components/parameters/UseCaseParam'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfiEnabledRoutesResponse'
          description: Ofi-enabled payment routes retrieved successfully.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          description: Internal server error.
      security:
        - BearerAuth: []
components:
  parameters:
    SourceCurrencyOptionalParam:
      name: sourceCurrency
      description: >-
        Filter by source currency, will return all available source currencies
        if empty
      in: query
      schema:
        $ref: '#/components/schemas/CryptoCurrency'
      example: USDC
    DestinationCurrencyParam:
      name: destinationCurrency
      description: >-
        Filter by destination currency, will return all available destination
        currencies if empty
      in: query
      schema:
        $ref: '#/components/schemas/FiatCurrency'
      example: MXN
    PaymentMethodTypeParam:
      name: paymentMethodType
      description: >-
        Filter by payment method, will return all available payment method types
        if empty
      in: query
      schema:
        $ref: '#/components/schemas/PaymentMethodType'
      example: SPEI
    DestinationCountryOptionalParam:
      name: destinationCountry
      description: >-
        Filter by destination country, will return all available destination
        countries if empty
      in: query
      schema:
        $ref: '#/components/schemas/Country'
      example: MX
    BlockchainParam:
      name: blockchain
      description: Filter by blockchain, will return all available blockchains if empty
      in: query
      schema:
        $ref: '#/components/schemas/Blockchain'
      example: ETH-SEPOLIA
    UseCaseParam:
      name: useCase
      description: Filter by use case, will return all available useCases if empty
      in: query
      schema:
        $ref: '#/components/schemas/UseCase'
      example: B2B
  schemas:
    OfiEnabledRoutesResponse:
      title: OfiEnabledRoutesResponse
      type: object
      required:
        - data
      properties:
        data:
          type: array
          description: >-
            Array of ofi enabled payment routes containing all the necessary
            information for routing payments
          items:
            $ref: '#/components/schemas/OfiEnabledPaymentRoute'
    CryptoCurrency:
      type: string
      description: Supported cryptocurrencies
      enum:
        - USDC
      example: USDC
    FiatCurrency:
      type: string
      description: Supported fiat currencies
      enum:
        - BRL
        - CNY
        - COP
        - EUR
        - GBP
        - HKD
        - INR
        - MXN
        - NGN
        - USD
      example: MXN
    PaymentMethodType:
      type: string
      description: The method used for the payment (e.g., PIX, WIRE, CHATS)
      enum:
        - AANI
        - ACH-BANK-TRANSFER
        - BANK-TRANSFER
        - CHATS
        - CIPS
        - FAST
        - FEDWIRE
        - FPS
        - FTS
        - IMPS
        - INSTAPAY
        - NEFT
        - NEQUI
        - PESONET
        - PIX
        - RTGS
        - SD-ACH
        - SEPA
        - SPEI
        - SPID
        - WIRE
      example: SPEI
    Country:
      type: string
      description: >-
        ISO 3166-1 alpha-2 two-letter country code supported by the Circle
        Payment Network
      enum:
        - AT
        - BE
        - BG
        - BR
        - CH
        - CN
        - CO
        - CY
        - CZ
        - DE
        - DK
        - EE
        - ES
        - FI
        - FR
        - GB
        - GR
        - HK
        - HR
        - HU
        - IE
        - IN
        - IT
        - LI
        - LT
        - LU
        - MT
        - MX
        - NG
        - NL
        - 'NO'
        - PL
        - PT
        - RO
        - SE
        - SI
        - SK
        - US
      example: MX
    Blockchain:
      type: string
      description: Supported blockchain networks
      enum:
        - SOL
        - MATIC
        - ETH
        - ARC
        - SOL-DEVNET
        - MATIC-AMOY
        - ETH-SEPOLIA
        - ARC-TESTNET
      example: ETH-SEPOLIA
    UseCase:
      type: string
      enum:
        - B2B
        - B2C
        - C2C
        - C2B
      example: B2B
      description: The type of payment use case
    OfiEnabledPaymentRoute:
      title: OfiEnabledPaymentRoute
      type: object
      required:
        - blockchains
        - cryptoLimit
        - destinationCountry
        - destinationCurrency
        - fiatLimit
        - paymentMethodType
        - sourceCurrency
        - useCases
      properties:
        blockchains:
          type: array
          description: List of supported blockchains
          items:
            $ref: '#/components/schemas/Blockchain'
        cryptoLimit:
          $ref: '#/components/schemas/CryptoCurrencyLimit'
        destinationCountry:
          $ref: '#/components/schemas/Country'
        destinationCurrency:
          $ref: '#/components/schemas/FiatCurrency'
        fiatLimit:
          $ref: '#/components/schemas/FiatCurrencyLimit'
        paymentMethodType:
          $ref: '#/components/schemas/PaymentMethodType'
        sourceCurrency:
          $ref: '#/components/schemas/CryptoCurrency'
        useCases:
          type: array
          description: List of supported use cases
          items:
            $ref: '#/components/schemas/UseCase'
    XRequestId:
      type: string
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
    ErrorCode:
      title: ErrorCode
      type: integer
      description: Code that corresponds to the error.
      enum:
        - -1
        - 0
        - 1
        - 2
        - 3
        - 290000
        - 290001
        - 290100
        - 290101
        - 290102
        - 290103
        - 290200
        - 290201
        - 290202
        - 290203
        - 290204
        - 290205
        - 290206
        - 290211
        - 290300
        - 290301
        - 290302
        - 290303
        - 290304
        - 290305
        - 290306
        - 290307
        - 290308
        - 290309
        - 290310
        - 290311
        - 290312
        - 290313
        - 290314
        - 290315
        - 290316
        - 290317
        - 290318
        - 290319
        - 290320
        - 290321
        - 290322
        - 290323
        - 290324
        - 290325
        - 290327
        - 290328
        - 290329
        - 290330
        - 290331
        - 290332
        - 290333
        - 290338
        - 290339
        - 290340
        - 290341
        - 290349
        - 290400
        - 290401
        - 290500
        - 290502
        - 290503
        - 290600
        - 290601
        - 290602
        - 290603
        - 290604
        - 290605
        - 290606
      x-enum-descriptions:
        - Unknown error
        - Success
        - API parameter missing
        - API parameter invalid
        - Forbidden
        - >-
          Parameters of request do not match the tenancy environment associated
          with request
        - A request with this idempotency key has already been processed.
        - Amount provided is outside our supported limits
        - No bfis available to create requested quote
        - Parameters of request do not match any supported payment routes
        - Route does not support the requested use case
        - Quote not found with provided id
        - Quote already used by another payment
        - Quote past timestamp at which it expires
        - Blockchain for sender address does not blockchain requested in quote
        - Provided wallet address is on sanctioned lists
        - Pending RFI verification
        - RFI rejected
        - Payment use case does not match the quote.
        - Payment already has an associated active or completed transaction
        - Blockchain is not supported by CPN
        - Blockchain is not supported for V2 transactions
        - Submitting a transaction not in submittable status
        - Payment not in correct status for processing a onchain transfer
        - The payment is not found
        - The transaction is not found
        - A signed transaction for the transaction has already been submitted
        - The payment is expired
        - >-
          The signed transaction is expired. Solana has a concept of recent
          blockhash in a transaction that expires after 150 blocks (~1 min)
        - >-
          The nonce in the signed transaction is lower than the current wallet
          nonce
        - The signed transaction payload does not match the payment
        - The sender's wallet balance is insufficient
        - The fee payer wallet lacks enough gas
        - >-
          The CPN Payment ID provided in the signed data (e.g., in the Solana
          memo or EIP-712 structure) does not match the expected value
        - >-
          The gas price in the signed transaction is below network thresholds.
          The fee must exceed the estimated high fee to ensure prompt
          confirmation
        - >-
          When resubmitting (e.g., for acceleration), the wallet address to sign
          the raw transaction or nonce does not match the original submission
        - >-
          The full node used by CPN is currently unavailable or returns an
          unexpected error during transaction validation
        - The Payment Ref ID has already been used on-chain
        - >-
          For EVM chains, the gas limit in the signed transaction is
          insufficient to cover the execution costs. For Solana, the allocated
          compute budget falls short of the transaction's requirements,
          preventing successful execution
        - >-
          The nonce has already been used with the same sender in another signed
          transaction submission for a CPN payment. The OFI must use a unique
          nonce
        - The signature in the transaction is invalid
        - Provided wallet address is on sanctioned lists
        - The blockchain is not supported by CPN
        - The cross-chain is not supported by CPN yet
        - Completed transaction exist. No need to accelerate
        - The signed transaction cannot be decoded or is invalid
        - The Solana account specified for transaction is not found
        - The targetted transaction for action is expired
        - >-
          Please sign existing transaction or wait for signed transaction to be
          broadcast
        - No broadcasted transaction to be accelerated
        - The Solana account specified for transaction is invalid
        - >-
          Another transaction for the same CPN payment has already been
          submitted and is being broadcasted
        - >-
          A signature for the transaction has already been submitted and
          accepted.
        - >-
          The submitted signature cannot be verified against the typed data to
          be signed. This typically indicates that the signature signed with the
          wrong private key, or the typed data gets manipulated before signing.
        - >-
          The ERC-20 allowance granted to the Permit2 contract is insufficient
          to cover the total required token amount for the payment, including
          both the payment amount and associated fees.
        - >-
          The Permit2 nonce included in the typed data for the sender has
          already been used.
        - >-
          Blockchain is not supported for V1 transactions; use
          transactionVersion=VERSION_2.
        - RFI is past timestamp at which it expires
        - RFI cannot be submitted in current status
        - >-
          The decryption process failed, possibly due to an invalid key or
          corrupted data
        - >-
          The JWE compact payload is not formatted correctly or is missing
          required components
        - >-
          The JWE compact payload was not encrypted with a supported encryption
          algorithm
        - Ticket reference ID is required for escalation tickets
        - Original ticket not found with provided reference ID
        - Issue type is not allowed for this origin
        - Payment not found with provided ID
        - Failed to create Circle Salesforce support ticket
        - Failed to create a BFI support ticket
        - Support ticket not found with provided ID
    DescriptiveError:
      title: DescriptiveError
      type: object
      required:
        - error
        - message
      properties:
        error:
          $ref: '#/components/schemas/DescriptiveErrorType'
        location:
          type: string
          nullable: true
          description: The key or path where the error occurred
        message:
          type: string
          description: Detailed description of the error
    CryptoCurrencyLimit:
      type: object
      description: >-
        Minimum and maximum transaction limits for a specific cryptocurrency.
        These limits define the acceptable range for transaction amounts in the
        specified currency.
      properties:
        currency:
          $ref: '#/components/schemas/CryptoCurrency'
        max:
          type: number
          example: 1000
        min:
          type: number
          example: 10
    FiatCurrencyLimit:
      type: object
      description: >-
        Minimum and maximum transaction limits for a specific fiat currency.
        These limits define the acceptable range for transaction amounts in the
        specified currency.
      properties:
        currency:
          $ref: '#/components/schemas/FiatCurrency'
        max:
          type: number
          example: 1000
        min:
          type: number
          example: 10
    DescriptiveErrorType:
      title: DescriptiveErrorType
      type: string
      enum:
        - MISSING_OR_INVALID_FIELD
      description: Type of descriptive error
  headers:
    XRequestId:
      description: >
        Circle-generated universally unique identifier (UUID v4). Useful for
        identifying a specific request when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            type: object
            title: BadRequestResponse
            required:
              - code
              - message
            properties:
              code:
                $ref: '#/components/schemas/ErrorCode'
              message:
                type: string
                description: Human-readable message that describes the error.
                example: Unknown error occurred
              errors:
                type: array
                description: Array of detailed error descriptions
                items:
                  $ref: '#/components/schemas/DescriptiveError'
            example:
              code: 400
              message: Bad request.
      description: Request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
    NotAuthorized:
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorizedResponse
            required:
              - code
              - message
            properties:
              code:
                $ref: '#/components/schemas/ErrorCode'
              message:
                type: string
                description: Human-readable message that describes the error.
                example: Unknown error occurred
              errors:
                type: array
                description: Array of detailed error descriptions
                items:
                  $ref: '#/components/schemas/DescriptiveError'
            example:
              code: 401
              message: Malformed authorization.
      description: >-
        Request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
    Forbidden:
      content:
        application/json:
          schema:
            type: object
            title: ForbiddenResponse
            required:
              - code
              - message
            properties:
              code:
                $ref: '#/components/schemas/ErrorCode'
              message:
                type: string
                description: Human-readable message that describes the error.
                example: Unknown error occurred
              errors:
                type: array
                description: Array of detailed error descriptions
                items:
                  $ref: '#/components/schemas/DescriptiveError'
            example:
              code: 3
              message: Forbidden
      description: >-
        Request provides authentication, but the authenticated user does not
        have permission to access this resource.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PREFIX:ID:SECRET
      description: >-
        Circle's API Keys are formatted in the following structure
        "PREFIX:ID:SECRET". All three parts are requred to make a successful
        request.

````